%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           dissy
Version:        8
Release:        4%{?dist}
Summary:        Graphical frontend to the objdump disassembler

Group:          Development/Tools
License:        GPLv2
URL:            http://code.google.com/p/dissy/
Source0:        http://dissy.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        dissy.desktop
Patch0:         dissy-8-about.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  python-devel
Requires:       binutils
Requires:       pygtk2
Requires:       pygobject2

%description
Dissy is a graphical frontend to the objdump disassembler, it can be used
for debugging and browsing compiler-generated code. 


%prep
%setup -q
%patch0 -p1 -b .about


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
rm -r $RPM_BUILD_ROOT%{_docdir}

# Icon file. Upstream doesn't use any
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 0644 \
        $RPM_BUILD_ROOT%{_datadir}/dissy/gfx/red_arrow_left.png \
        $RPM_BUILD_ROOT%{_datadir}/pixmaps/dissy.png

# Desktop menu entry
install -d $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
        --vendor '' %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/dissy
%{_datadir}/dissy
%{_datadir}/applications/dissy.desktop
%{_datadir}/pixmaps/dissy.png
%{_mandir}/man1/dissy.1*
%{python_sitelib}/dissy
%if 0%{?fedora} > 8
%{python_sitelib}/*.egg-info
%endif
%doc COPYING README


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 06 2008 Lubomir Rintel <lkundrak@v3.sk> - 8-2
- Fix about dialog close

* Mon Feb 02 2008 Lubomir Rintel <lkundrak@v3.sk> - 8-1
- Initial packaging
